Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release

From: Mike Gabriel <[email-masked]>
Date: Tue, 9 Dec 2014 13:08:40 +0100 (CET)

tag #692 pending
fixed #692 0.0.3.0
thanks

Hello,

X2Go issue #692 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=e4be2b0

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e4be2b012706014d49a330c2a1058f85a5f9977d
Author: Mike Gabriel <[email-masked]>
Date:   Tue Dec 9 13:08:25 2014 +0100

    Don't return X2Go Servers that are actually down, currently.
    
        The X2Go Servers get probed via a short portscan on the remote's SSH port. If
        that portscan fails, another remote X2Go Server is chosen from the
        list of available server (if any). This portscanning functionality
        can be switched off via "default-portscan-x2goservers" in x2gobroker.conf
        or via "broker-portscan-x2goservers" per session profile. (Fixes:
        #692).

diff --git a/debian/changelog b/debian/changelog
index 02ed4b3..94f5c22 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -29,7 +29,7 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - Provide a test function that checks if the basic broker agent setup
       (SSH private/public key pair) is available. If not, no SSH broker
       usage will be attempted.
-    - Let an ICMP ping request precede the SSH ping command. This notably
+    - Let a portscan preceed the SSH ping command. This notably
       reduces timeout duration if the host running the queried broker agent
       is down).
     - Catch RequestHandler errors and write them to the error log channel.
@@ -202,7 +202,15 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
     - Enable basic/random load-balancing for UCCS broker frontend. Make UCCS
       frontend aware of host session profile options of the form
       "host=<fqdn> (<ipaddr>:<port>).
-    - Do an ICMP ping before querying a remote agent via SSH.
+    - Do a portscan on the remote's SSH port before querying a remote agent
+      via SSH.
+    - Don't return X2Go Servers that are actually down, currently. The X2Go
+      Servers get probed via a short portscan on the remote's SSH port. If
+      that portscan fails, another remote X2Go Server is chosen from the
+      list of available server (if any). This portscanning functionality
+      can be switched off via "default-portscan-x2goservers" in x2gobroker.conf
+      or via "broker-portscan-x2goservers" per session profile. (Fixes:
+      #692).
   * debian/control:
     + Provide separate bin:package for SSH brokerage: x2gobroker-ssh.
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.